Support Article

Cannot import application to an earlier Pega version

SA-26110

Summary



Developer has created a Pega application in 7.1.9 and is trying to import that in to Pega 7.1.5. At the end of the import no errors are shown, but the application does not get imported either. 


Error Messages



No error on the screen, but there are errors in the log file:
Unable to convert bytes to ClipboardPage com.pega.pegarules.pub.clipboard.InvalidStreamError: Invalid clipboard stream detected in module StorageStreamCommon.create(byte []).  Reason: Invalid signature found in stream.
...
A Problem occurred during import: PegaArchiveException    PegaArchiveImpl.getPage(String)    Unable to read ClipboardPage with key RULE-OBJ-CLASS [CLASS NAME] from the embedded file instances_00000.bin in the archive [ARCHIVE NAME]_rules.jar


Steps to Reproduce



Try to import an application built on Pega 7.1.9 into Pega 7.1.5.


Root Cause



Unsupported use case.

Resolution



Here’s the explanation for the reported behavior:

Pegasystems does not support downgrading of applications, but only upgrade.  Therefore moving an application from Pega 7.1.9 to Pega 7.1.5 is not supported.

 

Suggest Edit

Published August 10, 2016 - Updated October 8, 2020


66% found this useful

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.